/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Game;

import java.awt.Graphics;
import javaPlay.Sprite;

/**
 *
 * @author Jose Ricardo
 */
public class Background {
    // Armazena a imagem a ser utilizada como background
    private Sprite background_image = null;

    // Armazena o deslocamento da imagem, criando o efeito de scrolling
    private int deslocamento_corrente = 0;

    // Armazena a velocidade do deslocamento da tela em pixels/segundo
    private int velocidade_vertical = 5;

    public int getVelocidade_Vertical() {
        return velocidade_vertical;
    }

    public void setVelocidade_Vertical(int velocidade_vertical) {
        this.velocidade_vertical = velocidade_vertical;
    }

    public void setBackground(String filename){
        background_image = new Sprite(filename, 1,
                Globals.VIEWPORT_WIDTH, Globals.VIEWPORT_HEIGHT);
    }

    public void update(){
        deslocamento_corrente += velocidade_vertical;

        // Verificar se o deslocamento ultrapassou o tamanho da viewport
        if (deslocamento_corrente >= Globals.VIEWPORT_HEIGHT)
            deslocamento_corrente = 0;
    }

    public void draw(Graphics g){
        background_image.draw(g, 0, (int)deslocamento_corrente);
        background_image.draw(g, 0,
                (-Globals.VIEWPORT_HEIGHT + deslocamento_corrente));
    }

}
